QV4L2(1)

NAME
qv4l2 - A test bench application for video4linux devices

SYNOPSIS
qv4l2 [-R] [-h] [-d <dev>] [-r <dev>] [-V <dev>] [-S <dev>]

DESCRIPTION
The qv4l2 tool is used to test video4linux capture and output devices, either video, vbi, radio or swradio. This application can also serve as a generic video/TV viewer application or as a video generator for video output devices.

However, it does not (yet) support compressed video streams other than MJPEG

OPTIONS

-d, --device=<dev>
    Use device <dev> as the video device. If <dev> is a number, then /dev/video<dev> is used.

-V, --vbi-device=<dev>
    Use device <dev> as the vbi device. If <dev> is a number, then /dev/vbi<dev> is used.

-r, --radio-device=<dev>
    Use device <dev> as the radio device. If <dev> is a number, then /dev/radio<dev> is used.

-S, --sdr-device=<dev>
    Use device <dev> as the SDR device. If <dev> is a number, then /dev/swradio<dev> is used.

-R, --raw
    Open device in raw mode, i.e. without using the libv4l2 wrapper functions.

-h, --help
    Prints the help message.

HOTKEYS

  Main Window

Ctrl + O
    Open device

Ctrl + R
    Open device in raw mode

Ctrl + W
    Close the device

Ctrl + V
    Start capture

Ctrl + F
    Resize Capture Window to frame size

Ctrl + Q
    Exit the application

  Capture Window

Ctrl + W
    Closes the window and stops capture

Ctrl + F
    Resize Capture Window to frame size

EXIT STATUS
On success, it returns 0. Otherwise, it will return the error code.

BUGS
Report bugs to Hans Verkuil <hverkuil@xs4all.nl>